#define  USE_HY17P68_5M
/******************************************************************************
 * Demo.c                                                                                    *
 * -----------------------------------------------------------------------------------------*
 * Copyright 2020 HYCON Technology                                                *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17P68                                                          *
 ******************************************************************************/
  /*

; HY17P60
; ---------
;          |
;          |
;    COM0  | --|
;    SEG21 | --|
;          |
;          |
;          |
;          |
; ---------
 */
 /*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include <GPIO.h>
#include <CLK.h>
#include <LCD.h>
#include "display.h"

/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
#define BIE64Word    0<< 6
#define BIE1kWord    1<< 6
#define BIEWrite    1<< 1
#define BIERead    1<< 0
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void SysInit (void);
void Delay(unsigned int ms);
void DisplayNum(long Num);
unsigned char result;
unsigned char EXT17P68WR3(unsigned char AddrH,unsigned char AddrL,unsigned char DataH,unsigned char DataL);

/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/

void main(void)
{
	    SysInit();
		    
		BIECN &= BIE64Word;
		result= EXT17P68WR3(0,0,0xAA,0x11);	//addr=00,BIE_DataH=0xAA,BIE_DataL=0x11
		if(result != 0)
	    while(1);
		result= EXT17P68WR3(0,1,0xBB,0x22);	//addr=00,BIE_DataH=0xBB,BIE_DataL=0x11
		if(result != 0)
	    while(1);
		result= EXT17P68WR3(0,2,0xCC,0x33);	//addr=00,BIE_DataH=0xCC,BIE_DataL=0x11
		if(result != 0)
	    while(1);
		result= EXT17P68WR3(0,3,0xDD,0x44);	//addr=00,BIE_DataH=0xDD,BIE_DataL=0x11
		if(result != 0)
	    while(1);

		BIECN |= BIE1kWord;
		result= EXT17P68WR3(0x3C,0,0x11,0xAA);	//addr=3C00H,BIE_DataH=0x11,BIE_DataL=0xAA
		if(result != 0)
	    while(1);
		result= EXT17P68WR3(0x3C,0x01,0x22,0xBB);	//addr=3C00H,BIE_DataH=0x11,BIE_DataL=0xBB
		if(result != 0)
	    while(1);
		result= EXT17P68WR3(0x3C,2,0x33,0xCC);	//addr=3C00H,BIE_DataH=0x11,BIE_DataL=0xCC
		if(result != 0)
	    while(1);
		result= EXT17P68WR3(0x3C,3,0x44,0xDD);	//addr=3C00H,BIE_DataH=0x11,BIE_DataL=0xDD
		if(result != 0)
	    while(1);
	    
	    while((BIECN & (1 << 3)) !=0);   //Waiting to remove VPP
	    BIECN &= 0xC0;   //Disable BIE voltage detection
		Delay(40000);		//After BIE need 300mS Delay
	    SysInit();               //After BIE need setup LCD again

	while(1)
	{

		DisplayHycon();
		Delay(0xffffffff);
		Delay(0xffffffff);
		Delay(0xffffffff);
		Delay(0xffffffff);
		DisplayNum(888888);
		Delay(0xffffffff);
		Delay(0xffffffff);
		Delay(0xffffffff);
		Delay(0xffffffff);
	}


}

/*----------------------------------------------------------------------------*/
/* Subroutine Function                                                        */
/*----------------------------------------------------------------------------*/
void SysInit (void)
{
//    CLK Setting    //
	CLK_HAOOpen(HAOM_4915KHZ,DHS_HSCKDIV1,CPUS_DHSCK);

//    LCD Setting    //
	//LCDCN1 = 0xc9 ;
	LCD_Enable();
	LCD_VLCDSourceSelect(ENLCP_INTERNAL);
	LCD_ChargePumpSelect(LCDV_3V0);
	LCD_OutBufferEnable();
	LCD_ChargePumpClk(SELPCLK_14KHZ);
	LCD_DisplayOn();

 	//LCDCN3 = 0xff;
    LCD_COM0Mode(LCD);
    LCD_COM1Mode(LCD);
    LCD_COM2Mode(LCD);
    LCD_COM3Mode(LCD);

	//LCDCN4 = 0xff;
	LCD_PT80Mode(LCD);
	LCD_PT81Mode(LCD);
	LCD_PT82Mode(LCD);
	LCD_PT83Mode(LCD);
	LCD_PT84Mode(LCD);
	LCD_PT85Mode(LCD);
	LCD_PT86Mode(LCD);
	LCD_PT87Mode(LCD);

	//LCDCN6 = 0xff;
	LCD_PT64Mode(LCD);
	LCD_PT65Mode(LCD);
	LCD_PT66Mode(LCD);
	LCD_PT67Mode(LCD);

	//LCDCN7 = 0x00;
	LCD_PT70Mode(LCD);
	LCD_PT71Mode(LCD);
	LCD_PT72Mode(LCD);
	LCD_PT73Mode(LCD);

	//LCDCN8 = 0xff;
	LCD_PT74Mode(LCD);
	LCD_PT75Mode(LCD);
	LCD_PT76Mode(LCD);
	LCD_PT77Mode(LCD);


}
/*----------------------------------------------------------------------------*/
/*          LCD Show ADC                                                        */
/*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*/
/* Software Delay Subroutines                                                 */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int ms)
{
  for(;ms>0;ms--)
  __asm__("NOP");
}
/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{

}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
