;-----------------------------------------------------------------------------
;Filename :BIE_LVD.asm
;-----------------------------------------------------------------------------
; Copyright 2020 Hycon Technology, Corp.
; http://www.hycontek.com/
;
;V1.0		2020/05/20
;
; Program Description:
;--------------------
; q0000Hm}lgJ 11AAH 22BBH 33CCH 44DDH
; q1C00Hm}lgJ AA11H BB22H CC33H DD44H
; A̧ŪXm
; IsLV17P68WR3BIE |e0F0H~0F9Hm
; vTHs:
; WREG, FSR0L, FSR0H, INDF0, INTE0[GIE], 0F0h~0F7h ,INTE0[GIE] ,ADCCN0[ENAD1],PWRCN,PWRCN2,
; OSCCN0, MFCCN0~MFCCN2, LCDCN1~LCDCN3, TRISC6, PT6
; Stack Level: 2

; HY17P68 BIEӰ϶AzLȦsBLKSEL
;BLKSEL=0,BIEާ@bInformation϶(00H~3FH)@64 word
;BLKSEL=1,BIEާ@bMain϶(1C00H~1FFFH)@1K word
;-----------------------------------------------------------------------------

;----------------------------------------------------------------------------
; Includes
;----------------------------------------------------------------------------
  Include  ./INC/HY17P68.inc
  Include  ./INC/HY17P68_BitRegister.inc
  Include  main.inc
  
;----------------------------------------------------------------------------
; Definitions
;----------------------------------------------------------------------------
DEFINE  LED=0  ;0:LCD Mode
;-----------------------------------------------------------------------------
; Reset And Interrupt Vector Table
;-----------------------------------------------------------------------------
  ORG  0000H ;Reset Vector
  JMP  ProBegin

  ORG  0004H ;Interrupt Vector
  JMP  ISR_CHECK
  
  ORG  0005H  ;BIE Function
  include   17P68WR3.asm   ;17P68WR3.asmb0005H
;-----------------------------------------------------------------------------
; Start Program Code
;-----------------------------------------------------------------------------
ProBegin:
  CALL ClearMEM
  CALL ClearMEM100
  CALL ClearMEM200
  CALL SysInit
;-----------------------------------------------------------------------------
  CALL DISPLAY_HYCON
  MVL  60
  MVF  Delay2,F,ACCE
  CALL Delay10ms
;==============BLKSEL=0,64WORD======================11AA 22BB 33CC 44DD  
  BCF   BIECN,BLKSEL 
  CLRF  BIEARH   ;
  CLRF  BIEARL   ;]wNJ_lm0000H
  MVL   11H
  MVF   BIEDRH,F,A
  MVL   0AAH
  MVF	BIEDRL,F,A
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   22H
  MVF   BIEDRH,F,A
  MVL   0BBH
  MVF   BIEDRL,F,A
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail

  MVL   33H
  MVF   BIEDRH,F,A
  MVL   0CCH
  MVF   BIEDRL,F,A  
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail

  MVL   44H
  MVF   BIEDRH,F,A
  MVL   0DDH
  MVF   BIEDRL,F,A
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail
  
;==============BLKSEL=1,1kWORD======================AA11 BB22 CC33 DD44
  BSF   BIECN,BLKSEL
  MVL   03CH
  MVF   BIEARH,F,A
  MVL   00H
  MVF   BIEARL,F,A  ;]wNJ_lm3C00H

  MVL   0AAH
  MVF   BIEDRH,F,A
  MVL   11H
  MVF	BIEDRL,F,A
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   0BBH
  MVF   BIEDRH,F,A
  MVL   22H
  MVF   BIEDRL,F,A
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   0CCH
  MVF   BIEDRH,F,A
  MVL   33H
  MVF   BIEDRL,F,A  
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   0DDH
  MVF   BIEDRH,F,A
  MVL   44H
  MVF   BIEDRL,F,A
  call  LV17P68WR3BIE   ;NJAm۰ʥ[1
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL  30                              ;Delay 300ms
  MVF  Delay2,F,ACCE
  CALL Delay10ms

;-----------------------------------------------------------------------------
MainLoop:
    CALL LCDInit
    CALL DISPLAY_HYCON
    MVL  60
    MVF  Delay2,F,ACCE
    CALL Delay10ms
    CALL DIS_PASS
    MVL  60
    MVF  Delay2,F,ACCE
    CALL Delay10ms
	NOP
	NOP
	JMP   MainLoop	

Fail:
    CALL LCDInit
    CALL DIS_FAIL
    MVL  60
    MVF  Delay2,F,ACCE
    CALL Delay10ms
	NOP
	NOP	
	JMP		Fail



;-----------------------------------------------------------------------------
; Inital the System
;-----------------------------------------------------------------------------
SysInit:

 ;==========Setup BIE =======================================
  BCF  AD1CN0,ENAD1,A
  BCF  INTE0,GIE,A
  ;BIE LݯSO]w]w|b IsƵ{ǤCȥGIEBADC\
  
LCDInit:
  LBSR 1
  MVL  EN_LCP+LCDV_3p0V+EN_LB+EN_LCD
  MVF  LCDCN1,F,B
  MVL  SCM3_LCD+SCM2_LCD+SCM1_LCD+SCM0_LCD
  MVF  LCDCN3,F,B
  MVL  0FFH
  MVF  LCDCN4,F,B
  MVL  0FFH
  MVF  LCDCN6,F,B
  MVL  0FFH
  MVF  LCDCN7,F,B
  MVL  0FFH
  MVF  LCDCN8,F,B 
  
RET 

;-----------------------------------------------------------------------------
;Interrupt Service Routine
;-----------------------------------------------------------------------------
ISR_CHECK:
  RETI 
  
  Include  ./SRC/Subroutine.asm
  Include  ./SRC/Display.asm
  
;-----------------------------------------------------------------------------
; End Of File
;-----------------------------------------------------------------------------
  END
