;-----------------------------------------------------------------------------
;Filename : HY17P60_BitRegister.inc
;-----------------------------------------------------------------------------

; PWRCN
  EN_BGR  EQU  REGBit7

  LDOCb2   EQU  REGBit6
  LDOCb1   EQU  REGBit5
  LDOCb0   EQU  REGBit4
  LDOC_2p4V EQU  0
  LDOC_2p6V EQU  LDOCb0
  LDOC_2p9V EQU  LDOCb1
  LDOC_3p3V EQU  LDOCb0+LDOCb1
  LDOC_3p6V EQU  LDOCb2
  LDOC_4p0V EQU  LDOCb0+LDOCb2
  LDOC_4p5V EQU  LDOCb1+LDOCb2
  LDOC_5p0V EQU  LDOCb0+LDOCb1+LDOCb2

  LDOMb1   EQU  REGBit3
  LDOMb0   EQU  REGBit2
  LDOM_HZ   EQU 0               ;<00> Disabled and in high input impedance mode.
  LDOM_VDD  EQU LDOMb0          ;<01> Output VDD voltage.
  LDOM_PVDD EQU LDOMb1          ;<10> Pull high to VDD by 1.5mA. (It is use to initial VDDA when a small current)
  LDOM_REV  EQU LDOMb0+LDOMb1   ;<11> Reserved

  EN_LDO   EQU  REGBit1
  CSF_ON   EQU  REGBit0

; PWRCN1
  EN_REFO  EQU  REGBIT7
  EN_CMP   EQU  REGBIT6
  EN_CNTI  EQU  REGBIT5
  EN_CTR   EQU  REGBIT4
  EN_VS    EQU  REGBIT3
  SAGNDb2  EQU  REGBIT2
  SAGNDb1  EQU  REGBIT1
  SAGNDb0  EQU  REGBIT0
  SAGND_0P4 EQU  SAGNDb2         ;100:AGND=0.4xVDDA
  SAGND_0P5 EQU  SAGNDb1+SAGNDb0 ;011:AGND=0.5xVDDA
  SAGND_0P1 EQU  SAGNDb1         ;010:AGND=0.1xVDDA
  SAGND_0P3 EQU  SAGNDb0         ;001:AGND=0.3xVDDA
  SAGND_Dis EQU  0               ;000:Disable AGND Generator,AGND=Floating

; PWRCN2
  EN_PUMP   EQU  REGBIT7
  VGGS_VDD  EQU  0
  VGGS_PUMP EQU  REGBIT6
  EN_FIR    EQU  REGBIT3
  LDO_PL    EQU  REGBIT2
  EN_TPS    EQU  REGBIT1         ;Enable Internal TPS

; OSCCN0
  OSCSb1   EQU  REGBit7
  OSCSb0   EQU  REGBit6
  OSCS_OSC_XT  EQU OSCSb1+OSCSb0 ;<11>OSC_XT
  ;OSCS_OSC_XT  EQU OSCSb1        ;<10> OSC_XT
  OSCS_OSC_LPO EQU OSCSb0        ;<01>OSC_LPO
  OSCS_OSC_HAO EQU 0             ;<00>OSC_HAO

  DHSb1    EQU  REGBit5
  DHSb0    EQU  REGBit4
  DHS_HS_CK_Div8 EQU DHSb1+DHSb0 ;<11>HS_CK / 8
  DHS_HS_CK_Div4 EQU DHSb1       ;<10>HS_CK / 4
  DHS_HS_CK_Div2 EQU DHSb0       ;<01>HS_CK / 2
  DHS_HS_CK_Div1 EQU 0           ;<00>HS_CK / 1

  DMSb2    EQU  REGBit3
  DMSb1    EQU  REGBit2
  DMSb0    EQU  REGBit1
  DMS_DHS_CK_Div256 EQU DMSb2+DMSb1+DMSb0
  DMS_DHS_CK_Div128 EQU DMSb2+DMSb1
  DMS_DHS_CK_Div64  EQU DMSb2+DMSb0
  DMS_DHS_CK_Div32  EQU DMSb2
  DMS_DHS_CK_Div16  EQU DMSb1+DMSb0
  DMS_DHS_CK_Div8   EQU DMSb1
  DMS_DHS_CK_Div4   EQU DMSb0
  DMS_DHS_CK_Div2   EQU 0

  CUPS_DHS_CK   EQU REGBit0
  CUPS_HS_CK    EQU  0

; OSCCN1
  LCPS_XT  EQU  REGBit6
  LCPS_LPO EQU  0

  ;ADC_CKWvtܾ
  DADCb1   EQU  REGBit5
  DADCb0   EQU  REGBit4
  DADC_     EQU  DADCb1+DADCb0 ;11  DHS_CK 
  DADC_16   EQU  DADCb1        ;10  DHS_CK  16
  DADC_8    EQU  DADCb0        ;01  DHS_CK  8
  DADC_4    EQU  0             ;00  DHS_CK  4

  ;DTMB_CKWvtܾ
  DTMBb1   EQU  REGBit3
  DTMBb0   EQU  REGBit2
  DTMB_8    EQU  DTMBb1+DTMBb0 ;TMB_CK  8
  DTMB_4    EQU  DTMBb1        ;TMB_CK  4
  DTMB_2    EQU  DTMBb0        ;TMB_CK  2
  DTMB_1    EQU  0             ;TMB_CK  1

  TMBS_LPC_CK  EQU REGBit1
  TMBS_HS_CK   EQU 0

  ;LCD_CKܱC
  LCDS_LS_CK   EQU REGBit0
  LCDS_LPC_CK  EQU 0

; OSCCN2
  DLCDb1   EQU  REGBit7
  DLCDb0   EQU  REGBit6
  DLCD_Div16  EQU DLCDb1+DLCDb0 ;<11>  LCD_CK / 16
  DLCD_Div8   EQU DLCDb1        ;<10>  LCD_CK / 8
  DLCD_Div4   EQU DLCDb0        ;<01>  LCD_CK / 4
  DLCD_Div2   EQU 0             ;<00>  LCD_CK / 2

  EN_XT       EQU REGBit5

  XTSb1    EQU  REGBit4
  XTSb0    EQU  REGBit3
  XTS_3       EQU XTSb1+XTSb0 ;<11>  2~ 8MHz
  XTS_2       EQU XTSb1       ;<10>  2M (low power)
  XTS_1       EQU XTSb0       ;<01>  ~ 32768Hz
  XTS_0       EQU 0           ;<00>  ~ 32768Hz

  HAOMb1   EQU  REGBit2
  HAOMb0   EQU  REGBit1
  HAOM_10MHz   EQU  HAOMb1+HAOMb0
  ;HAOM_10MHz   EQU  HAOMb1
  HAOM_5MHz   EQU  HAOMb0
  HAOM_2MHz   EQU  0
  EN_HAO   EQU  REGBit0

; WDTCN
  EN_BZ       EQU  REGBit7
  BZS_LSCK    EQU  0
  BZS_LPCCK   EQU  REGBit6
  DBZ_16      EQU  REGBit5+REGBit4
  DBZ_8       EQU  REGBit5
  DBZ_4       EQU  REGBit4
  DBZ_2       EQU  0
  EN_WDT      EQU  REGBit3
  DWDT_8      EQU  REGBit2+REGBit1+REGBit0  ;111  WDT_CK  8
  DWDT_16     EQU  REGBit2+REGBit1       ;110  WDT_CK  16
  DWDT_32     EQU  REGBit2+REGBit0       ;101  WDT_CK  32
  DWDT_64     EQU  REGBit2            ;100  WDT_CK  64
  DWDT_2048   EQU  REGBit1+REGBit0       ;011  WDT_CK  2048
  DWDT_4096   EQU  REGBit1            ;010  WDT_CK  4096
  DWDT_8192   EQU  REGBit0            ;001  WDT_CK  8192
  DWDT_16384  EQU  0               ;000  WDT_CK  16384

  DWDT_CK1    EQU  REGBit1+REGBit0 ;11  WDT_CK  1
  DWDT_CK2    EQU  REGBit1      ;10  WDT_CK  2
  DWDT_CK4    EQU  REGBit0      ;01  WDT_CK  4
  DWDT_CK8    EQU  0         ;00  WDT_CK  8

; TMA1CN
  EN_TMA1   EQU  REGBit7
  TMA_CL1   EQU  REGBit6

  TMAS1_LPC_CK EQU  REGBit5
  TMAS1_DMS_CK EQU  0

  DTMA1b2  EQU REGBit4
  DTMA1b1  EQU REGBit3
  DTMA1b0  EQU REGBit2
  DTMA1_256 EQU DTMA1b2+DTMA1b1+DTMA1b0
  DTMA1_128 EQU DTMA1b2+DTMA1b1
  DTMA1_64  EQU DTMA1b2+DTMA1b0
  DTMA1_32  EQU DTMA1b2
  DTMA1_16  EQU DTMA1b1+DTMA1b0
  DTMA1_8   EQU DTMA1b1
  DTMA1_4   EQU DTMA1b0
  DTMA1_2   EQU 0

; AD1CN0
  EN_ADC   EQU  REGBit7
  EN_CH    EQU  REGBit6
  EN_INXCH EQU  REGBit5
  EnVREGN  EQU  REGBit4

  OSRb2    EQU  REGBit3
  OSRb1    EQU  REGBit2
  OSRb0    EQU  REGBit1
  OSR_61440 EQU  OSRb2+OSRb1+OSRb0
  OSR_30720 EQU  OSRb2+OSRb1
  OSR_15360 EQU  OSRb2+OSRb0
  OSR_7680  EQU  OSRb2
  OSR_256   EQU  OSRb0+OSRb1
  OSR_128   EQU  OSRb1
  OSR_64    EQU  OSRb0
  OSR_32    EQU  0

  CMF_RST   EQU  REGBit0

; AD1CN1
  EN_ACM    EQU  REGBit7
  VCMS_REFO EQU  REGBit6
  VCINS_VDDAd2 EQU  REGBit5
  VCINS_BGR EQU  0
  TPS_CP    EQU  REGBit4
  TPS_CH    EQU  REGBit3

  ADGNb2    EQU  REGBit2
  ADGNb1    EQU  REGBit1
  ADGNb0    EQU  REGBit0
  ADGN_16    EQU  ADGNb2+ADGNb1
  ADGN_8     EQU  ADGNb2+ADGNb0
  ADGN_4     EQU  ADGNb2
  ADGN_2     EQU  ADGNb1+ADGNb0
  ADGN_1     EQU  ADGNb1
  ADGN_0p5   EQU  ADGNb0
  ADGN_0p25  EQU  0

; AD1CN2
  FilterNb1 EQU  REGBit7
  FilterNb0 EQU  REGBit6
  EnDAFM    EQU  REGBit4
  DCSET_n0p875 EQU REGBit3+REGBit2+REGBit1+REGBit0 ;1111  -7/8*(REFP - REFN)
  DCSET_n0p75  EQU REGBit3+REGBit2+REGBit1         ;1110  -6/8*(REFP - REFN)
  DCSET_n0p625 EQU REGBit3+REGBit2+REGBit0         ;1101  -5/8*(REFP - REFN)
  DCSET_n0p50  EQU REGBit3+REGBit2                 ;1100  -4/8*(REFP - REFN)
  DCSET_n0p375 EQU REGBit3+REGBit1+REGBit0         ;1011  -3/8*(REFP - REFN)
  DCSET_n0p25  EQU REGBit3+REGBit1                 ;1010  -2/8*(REFP - REFN)
  DCSET_n0p125 EQU REGBit3+REGBit0                 ;1001  -1/8*(REFP - REFN)
  DCSET_n0     EQU REGBit3                         ;1000  -0*(REFP - REFN)

  DCSET_p0p875 EQU REGBit2+REGBit1+REGBit0   ;0111  +7/8*(REFP - REFN)
  DCSET_p0p75  EQU REGBit2+REGBit1           ;0110  +6/8*(REFP - REFN)
  DCSET_p0p625 EQU REGBit2+REGBit0           ;0101  +5/8*(REFP - REFN)
  DCSET_p0p50  EQU REGBit2                   ;0100  +4/8*(REFP - REFN)
  DCSET_p0p375 EQU REGBit1+REGBit0           ;0011  +3/8*(REFP - REFN)
  DCSET_p0p25  EQU REGBit1                   ;0010  +2/8*(REFP - REFN)
  DCSET_p0p125 EQU REGBit0                   ;0001  +1/8*(REFP - REFN)
  DCSET_0      EQU 0                         ;0000  +0*(REFP - REFN)

; ADCN3
  SAD1FPb3   EQU REGBit7
  SAD1FPb2   EQU REGBit6
  SAD1FPb1   EQU REGBit5
  SAD1FPb0   EQU REGBit4
  SAD1FP_SENSE EQU 0
  SAD1FP_FB    EQU SAD1FPb0
  SAD1FP_RLU   EQU SAD1FPb1
  SAD1FP_OP1O  EQU SAD1FPb1+SAD1FPb0
  SAD1FP_VDD   EQU SAD1FPb2
  SAD1FP_REFO  EQU SAD1FPb2+SAD1FPb0
  SAD1FP_VREF  EQU SAD1FPb2+SAD1FPb1
  SAD1FP_PB0   EQU SAD1FPb2+SAD1FPb1+SAD1FPb0
  SAD1FP_PB1   EQU SAD1FPb3
  SAD1FP_PB2   EQU SAD1FPb3+SAD1FPb0
  SAD1FP_PB4   EQU SAD1FPb3+SAD1FPb1
  SAD1FP_PB5   EQU SAD1FPb3+SAD1FPb1+SAD1FPb0
  SAD1FP_PB6   EQU SAD1FPb3+SAD1FPb2
  SAD1FP_PB7   EQU SAD1FPb3+SAD1FPb2+SAD1FPb0
  SAD1FP_PB8   EQU SAD1FPb3+SAD1FPb2+SAD1FPb1
  SAD1FP_PB9   EQU SAD1FPb3+SAD1FPb2+SAD1FPb1+SAD1FPb0

  SAD1FNb2   EQU REGBit2
  SAD1FNb1   EQU REGBit1
  SAD1FNb0   EQU REGBit0
  SAD1FN_SENSE EQU 0
  SAD1FN_RLU   EQU SAD1FNb0
  SAD1FN_VSS   EQU SAD1FNb1
  SAD1FN_AGND  EQU SAD1FNb1+SAD1FNb0
  SAD1FN_PB2   EQU SAD1FNb2
  SAD1FN_PB3   EQU SAD1FNb2+SAD1FNb0
  SAD1FN_PB4   EQU SAD1FNb2+SAD1FNb1
  SAD1FN_PB5   EQU SAD1FNb2+SAD1FNb1+SAD1FNb0

; ADCN4
  En_AD1_RHBUF  EQU REGBit7
  Dis_AD1_RHBUF EQU 0
  En_AD1_RLBUF  EQU REGBit6
  Dis_AD1_RLBUF EQU 0
  En_AD1_IPBUF  EQU REGBit5
  Dis_AD1_IPBUF EQU 0
  En_AD1_INBUF  EQU REGBit4
  Dis_AD1_INBUF EQU 0

  INXb1     EQU  REGBit3
  INXb0     EQU  REGBit2
  INX_M3    EQU  INXb1+INXb0  ;INP->ADL, INN->ADH
  INX_M2    EQU  INXb1        ;INP floating, INP->ADH & ADH
  INX_M1    EQU  INXb0        ;INN->ADH & ADL, INP floating
  INX_M0    EQU  0            ;INP->ADH, INN->ADL

; ADCN5
  SAD1RH_FB          EQU 0
  SAD1RH_REFO        EQU REGBIT5
  SAD1RH_VREF        EQU REGBIT6
  SAD1RH_PB4         EQU REGBIT6+REGBIT5
  SAD1RH_RLU         EQU REGBIT7
  SAD1RH_VDD         EQU REGBIT7+REGBIT5
  SAD1RH_AGND        EQU REGBIT7+REGBIT6
  SAD1RH_PB8         EQU REGBIT7+REGBIT6  ;only HY17S68

  SAD1RL_RLU         EQU 0
  SAD1RL_AGND        EQU REGBIT2
  SAD1RL_PB3         EQU REGBIT3
  SAD1RL_PB5         EQU REGBIT3+REGBIT2
  SAD1RL_FB          EQU REGBIT4
  SAD1RL_VSS         EQU REGBIT4+REGBIT2
  SAD1RL_VREF        EQU REGBIT4+REGBIT3
  SAD1RL_PB9         EQU REGBIT4+REGBIT3+REGBIT2  ;only HY17S68

  SAD1I_AD1FP_AD1FN  EQU 0
  SAD1I_FB_RLU       EQU REGBIT0
  SAD1I_TS1P_TS2N    EQU REGBIT1
  SAD1I_TS1N_TS2P    EQU REGBIT1+REGBIT0

; RMSCN
  EN_RMS   EQU  REGBIT7
  EN_LPF   EQU  REGBIT6
  EN_SQRE  EQU  REGBIT5
  LPFBWb1  EQU  REGBIT4
  LPFBWb0  EQU  REGBIT3
  LPFBW_512  EQU 0
  LPFBW_1024 EQU LPFBWb0
  LPFBW_2048 EQU LPFBWb1
  LPFBW_4096 EQU LPFBWb1+LPFBWb0

  EN_PKH   EQU  REGBIT2
  RS_LPF   EQU  REGBIT1
  RS_RMS   EQU  REGBIT0

; NET0
  En_SDIO   EQU  REGBIT7
  Dis_SDIO  EQU  0

  En_SREFO  EQU  REGBIT6
  Dis_SREFO EQU  0

  SFT1b1   EQU  REGBIT5
  SFT1b0   EQU  REGBIT4
  SFT1_100K EQU  0
  SFT1_10K  EQU  SFT1b0
  SFT1_0    EQU  SFT1b1
  SFT1_Dis  EQU  SFT1b1+SFT1b0

  SFUVRb3  EQU  REGBIT3
  SFUVRb2  EQU  REGBIT2
  SFUVRb1  EQU  REGBIT1
  SFUVRb0  EQU  REGBIT0
  ;0000  VDSC<17>
  ;0001  VDSC<16>
  ;0010  VDSC<15>
  ;0011  AGNDP<9>
  ;0100  AGNDP<8>
  ;0101  AGNDP<7>
  ;0110  AGNDP<6>
  ;0111  AGNDP<0>
  ;1000  VDSC<1>
  ;1001  VDSC<2>
  ;1010  VDSC<3>
  ;1011  AGNDN<9>
  ;1100  AGNDN<8>
  ;1101  AGNDN<7>
  ;1110  AGNDN<6>      
  ;1111  PB<5>or DACO(only HY17S68)

; NET1
  SMODEb7  EQU  REGBIT7 ;RLD & VDDA Short
  SMODEb6  EQU  REGBIT6
  SMODEb5  EQU  REGBIT5 ;RLU & AGND Short
  SMODEb4  EQU  REGBIT4 ;RLU & RLD Short
  SMODEb3  EQU  REGBIT3
  SMODEb2  EQU  REGBIT2
  SMODEb1  EQU  REGBIT1
  SMODEb0  EQU  REGBIT0
  
  ;SMODE Setting Application
  PCC_Source  EQU  SMODEb2+SMODEb1         ;00000110:Positive Constant Current Source
  NCC_Source  EQU  SMODEb2+SMODEb1+SMODEb0 ;00000111:Negative Constant Current Source
  CAP_CC_MODE EQU  SMODEb3+SMODEb2+SMODEb1 ;0000111x:Capacitor measurement Constant Current Source
  AGND_Source EQU  SMODEb0                 ;00000001:AGND Source
  VDD_Source  EQU  SMODEb1                 ;00000010:VDD Source
  VSS_Source  EQU  SMODEb1+SMODEb0         ;00000011:VSS Source
  PCV_Source  EQU  SMODEb4+SMODEb2         ;00010100:Positive Constant Voltage Source
  NCV_Source  EQU  SMODEb4+SMODEb2+SMODEb0 ;00010101:Negative Constant Voltage Source
  CAP_CV_MODE EQU  SMODEb4+SMODEb3+SMODEb1 ;0001101x:Capacitor measurement Constant Voltage Source

;MFCCN0
  CPRHb1   EQU  REGBit7
  CPRHb0   EQU  REGBit6
  CPRH_OFF  EQU  0             ;00:ALqѡAB󰪪A
  CPRH_VDD  EQU  CPRHb0        ;01:u@qVDD޸}
  CPRH_VDDA EQU  CPRHb1        ;10:íqVDDA޸}
  CPRH_VLCD EQU  CPRHb0+CPRHb1 ;11:LCDqVLCD޸}

  MFC_O    EQU  REGBit5
  CP_IS    EQU  REGBit4
  CP_OR    EQU  REGBit3
  CP_DF    EQU  REGBit2
  CMP_HS   EQU  REGBit1
  EN_MFC   EQU  REGBit0

;MFCCN1
  CPRLb2   EQU  REGBit7
  CPRLb1   EQU  REGBit6
  CPRLb0   EQU  REGBit5

  CPPSb1   EQU  REGBit3
  CPPSb0   EQU  REGBit2
  CPPS_LVDIN EQU  0   ;00 LVDIN}
  CPPS_PB0   EQU  CPPSb0   ;01 PB<0>
  CPPS_PB3   EQU  CPPSb1   ;10 PB<3>
  CPPS_V12   EQU  CPPSb0+CPPSb1   ;11 V12

  CPNSb1   EQU  REGBit1
  CPNSb0   EQU  REGBit0
  CPNS_LVDIN EQU  0   ;00 LVDIN}
  CPNS_PB0   EQU  CPNSb0   ;01 PB<0>
  CPNS_PB3   EQU  CPNSb1   ;10 PB<3>
  CPNS_RLO   EQU  CPNSb0+CPNSb1   ;11 RLO

;LCDCN1
  EN_LCP    EQU  REGBit7

  LCDVb2    EQU  REGBit6
  LCDVb1    EQU  REGBit5
  LCDVb0    EQU  REGBit4
  LCDV_2p4V  EQU  LCDVb2+LCDVb1+LCDVb0
  LCDV_2p6V  EQU  LCDVb2+LCDVb1
  LCDV_2p8V  EQU  LCDVb2+LCDVb0
  LCDV_3p0V  EQU  LCDVb2
  LCDV_3p3V  EQU  LCDVb1+LCDVb0
  LCDV_4p0V  EQU  LCDVb1
  LCDV_4p5V  EQU  REGBit4
  LCDV_5p0V  EQU  0

  EN_LB      EQU  REGBit3
  SEL_PCLK   EQU  REGBit2
  LCD_BL     EQU  REGBit1
  EN_LCD     EQU  REGBit0

;LCDCN3
  SCM3_LCD   EQU  REGBit7+REGBit6
  SCM3_LED   EQU  REGBit6
  SCM3_IO    EQU  0
  SCM2_LCD   EQU  REGBit5+REGBit4
  SCM2_LED   EQU  REGBit4
  SCM2_IO    EQU  0
  SCM1_LCD   EQU  REGBit3+REGBit2
  SCM1_LED   EQU  REGBit2
  SCM1_IO    EQU  0
  SCM0_LCD   EQU  REGBit1+REGBit0
  SCM0_LED   EQU  REGBit0
  SCM0_IO    EQU  0

; CFG0
  GC_Rst   EQU  REGBit2  ;I2C I_ϯ౱
  EN_I2CT  EQU  REGBit1  ;} I2C Wɺʱ\줸
  EN_I2C   EQU  REGBit0  ;} I2C \౱줸

; ACT0
  ACT_SLAVE EQU  REGBit7  ;q}ұ
  ACT_ER    EQU  REGBit4  ;~_X
  ACT_START EQU  REGBit3  ;}lRO줸
  ACT_STOP  EQU  REGBit2  ;RO줸
  ACT_INT   EQU  REGBit1  ;_X
  ACT_ACK   EQU  REGBit0  ;ACK(Acknowledge)^Ц줸

; STA0
  STA_MACTF EQU  REGBit7    ;DҦҥκX(Master Mode Active Flag)
  STA_SACTF EQU  REGBit6    ;DҦҥκX(Slave Mode Active Flag)
  STA_RDBF  EQU  REGBit5    ;έs}lX(Received Stop/Repeat-Start Flag)
  STA_RWF   EQU  REGBit4    ;ŪgAX(Read/Write State Flag)
  STA_DFF   EQU  REGBit3    ;ƺX(Data Field Flag)
  STA_ACKF  EQU  REGBit2    ;ACK X(Acknowledge Flag)
  STA_GCF   EQU  REGBit1    ;General Call Flag
  STA_ARBF  EQU  REGBit0    ;|X(Arbitration Lost Flag)

; SID0
  SID_V      EQU  REGBit0    ;DҦҥκX(Master Mode Active Flag)

;UR0CN
  EN_SP      EQU  REGBit7
  EN_TX      EQU  REGBit6
  EN_TX9     EQU  REGBit5
  TX9_D      EQU  REGBit4
  EN_PARITY  EQU  REGBit3
  EN_WUE     EQU  REGBit0
;BA0CN
  EN_CR      EQU  REGBit3
  EN_RC9     EQU  REGBit2
  EN_ADD     EQU  REGBit1
  EN_ABD     EQU  REGBit0

; TB1CN0
  EN_TB1   EQU  REGBit7  ;Enable Timer B

  ;Bit6~5  TB1M[1:0]  pƾTMB1ާ@Ҧ
  TB1_M3   EQU REGBit6+REGBit5 ;<11> 8+8-bit Timer Count
  TB1_M2   EQU REGBit6         ;<10> Double 8-bit Timer Count
  TB1_M1   EQU REGBit5         ;<01> 17-bit Timer Count
  TB1_M0   EQU 0               ;<00> 16-bit Timer Count

  TB1RT_HI   EQU 0
  TB1RT_CPI1 EQU REGBit4+REGBit3

  TB1_CLEAR EQU  REGBit2    ;TB1Rpks]]m<1>ġApƾks۰ʸm<0>^

  EN_PWMO1  EQU REGBit1
  EN_PWMO0  EQU REGBit0

; TB1CN1
  PA1IV_BUF  EQU  REGBit7
  PA1IV_NOT  EQU  0

  PWMA1_1O   EQU 0
  PWMA1_2O   EQU REGBit4
  PWMA1_3O   EQU REGBit5
  PWMA1_4O   EQU REGBit5+REGBit4
  PWMA1_5O   EQU REGBit6
  PWMA1_6O   EQU REGBit6+REGBit4
  PWMA1_7O   EQU REGBit6+REGBit5
  ;PWMA1_7O   EQU REGBit6+REGBit5+REGBit4

  PA0IV_BUF  EQU  REGBit3
  PA0IV_NOT  EQU  0

  PWMA0_1O   EQU 0
  PWMA0_2O   EQU REGBit0
  PWMA0_3O   EQU REGBit1
  PWMA0_4O   EQU REGBit1+REGBit0
  PWMA0_5O   EQU REGBit2
  PWMA0_6O   EQU REGBit2+REGBit0
  PWMA0_7O   EQU REGBit2+REGBit1
  ;PWMA0_7O   EQU REGBit2+REGBit1+REGBit0
